// 2016: This library is for using the RoSco Fall 2015 PCB.

#include <Servo.h>

  Servo servo1;
  Servo servo2;
  Servo servo3;
  Servo servo4;
void init_servos(){ 
  servo1.attach(SERVO_1);  // attaches the servos to their pins according to the pins worksheet
  servo2.attach(SERVO_2); 
  servo3.attach(SERVO_3);
  servo4.attach(SERVO_4);
  servo1.write(0);        //setting the initial angles the servos will be set at
  servo2.write(0);
  servo3.write(90);
  servo4.write(90); 
}

  int startAngle = 0;

void  move_servos (uint8_t endAngle)
{
  while (endAngle != startAngle)
  {
    int dir = signOf(endAngle-startAngle);
    startAngle += dir;

    servo1.write(startAngle);
    servo2.write(startAngle);
    servo3.write(90-startAngle);
    servo4.write(90-startAngle); 
    delay(30);
  }
}

int signOf(int dif)
{
 double B = signbit(dif);
 double A = -1*(2*B/128) +1;
 return A;
}


