// --------------------------------------------------
// Adafruit L293D Motorshield
// --------------------------------------------------
#include <AFMotor.h> 

AF_DCMotor motorL1(1);  // instantiate motors
AF_DCMotor motorR1(2);
AF_DCMotor motorL2(3);
AF_DCMotor motorR2(4);

void move_L293D(uint8_t * motordata)
{
  motorL1.setSpeed(motordata[2]);   
  motorR1.setSpeed(motordata[4]);
  motorL2.setSpeed(motordata[2]);   
  motorR2.setSpeed(motordata[4]);
  motorL1.run(motordata[1]);
  motorR1.run(motordata[3]);
  motorL2.run(motordata[1]);
  motorR2.run(motordata[3]);
}

void safeRover()
{
   motorL1.run(RELEASE);
   motorR1.run(RELEASE);
   motorL2.run(RELEASE);
   motorR2.run(RELEASE);
   // Serial.println("Safe Rover");
}

void stopMotors(){
}


/* motordata[1] and motordata[3]
  FORWARD  1
  BACKWARD 2
  BRAKE    3
  RELEASE  4
*/
