#include <Servo.h>
void move_servos();

  Servo servo1;

void init_servos(){ 
  servo1.attach(SERVO_1); } // attaches the servos to their pins according to the pins worksheet



int startAngle = 0; //initialized once


void  move_servos (uint8_t endAngle)
{  
  //endAngle = endAngle + 90;
  while (endAngle != startAngle) //while we can have just name.write(angle), this moves the anchor too fast. This function moves it slower.
  {
    int dir = signOf(endAngle-startAngle);
    startAngle = startAngle + dir;
    servo1.write(startAngle); 
    delay(20);
  }
}

int signOf(int dif) {
 double B = signbit(dif);
 double A = -1*(2*B/128) +1;
 return A; } //returns 1 for positive dif, returns -1 for negative dif


