// 2016: This library is for using the RoSco Fall 2015 PCB.

// --------------------------------------------------
// Adafruit L293D Motorshield
// --------------------------------------------------
#include <AFMotor.h>


AF_DCMotor motorL1(1);  // instantiate motors
AF_DCMotor motorL2(4);
AF_DCMotor motorR1(2);
AF_DCMotor motorR2(3);


void move_L293D(uint8_t * motordata)       // read
{
  motorL1.setSpeed(motordata[4]); // Setting the speed for the motors  
  motorL2.setSpeed(motordata[4]); 
  motorR1.setSpeed(motordata[6]);  
  motorR2.setSpeed(motordata[6]);
  
  motorL1.run(motordata[3]);     //setting the direction which the motor is running
  motorL2.run(motordata[3]);
  motorR1.run(motordata[5]);
  motorR2.run(motordata[5]);
  
}

void safeRover()
{
   motorL1.run(RELEASE);
   motorL2.run(RELEASE);
   motorR1.run(RELEASE);
   motorR2.run(RELEASE);
   // Serial.println("Safe Rover");
}

void stopMotors(){
}


/* motordata[1] and motordata[3]
  FORWARD  1
  BACKWARD 2
  BRAKE    3
  RELEASE  4
*/
